Name:          libportmidi
Epoch:         1
Version:       2.0.4
Release:       1mamba
Summary:       A library supporting real-time input and output of MIDI data using a system-independent interface
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/PortMidi/portmidi
Source:        https://github.com/PortMidi/portmidi.git/v%{version}/portmidi-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
## AUTOBUILDREQ-END

%description
PortMidi is a library for software developers. It supports real-time input and output of MIDI data using a system-independent interface. PortMidi runs on Windows (using MME), Macintosh (using CoreMIDI), and Linux (using ALSA).

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
PortMidi is a library for software developers. It supports real-time input and output of MIDI data using a system-independent interface. PortMidi runs on Windows (using MME), Macintosh (using CoreMIDI), and Linux (using ALSA).
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n portmidi-%{version}
sed -i "s|lib/cmake/PortMidi|%{_lib}/cmake/PortMidi|" CMakeLists.txt

%build
%cmake -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libportmidi.so.*
%doc license.txt

%files devel
%defattr(-,root,root)
%{_includedir}/pmutil.h
%{_includedir}/portmidi.h
%{_includedir}/porttime.h
%{_libdir}/libportmidi.so
%{_libdir}/pkgconfig/portmidi.pc
%dir %{_libdir}/cmake/PortMidi
%{_libdir}/cmake/PortMidi/PortMidi*.cmake

%changelog
* Sat Nov 16 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.4-1mamba
- update to 2.0.4
- update source, bump epoch, closes #1

* Sun Oct 17 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 236-2mamba
- provide legacy libportmidi.so and libporttime.so

* Sun Aug 15 2021 Automatic Build System <autodist@mambasoft.it> 236-1mamba
- automatic version update by autodist

* Sat Jul 17 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 235.1-1mamba
- update to 235.1

* Tue Apr 09 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 217-2mamba
- added libporttime as a symlink to libportmidi, required by denemo

* Sat Mar 26 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 217-1mamba
- package created by autospec
